package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum OrderTypeEnum {

    /**
     *
     */
    DI_EDAO("21","跌倒"),
    JIU_ZHI("22","久滞"),
    ZHUI_CHUANG("23","坠床"),
    ZHU_DONG_HU_JIAO("31","主动呼叫"),
    HU_WAI_HU_JIAO("32","户外呼叫");
    private String value;
    private String name;
    OrderTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (DI_EDAO.getValue().equals(code)){
            return  DI_EDAO.name;
        }else if (JIU_ZHI.getValue().equals(code)){
            return JIU_ZHI.name;
        }else if (ZHUI_CHUANG.getValue().equals(code)){
            return ZHUI_CHUANG.name;
        }else if (ZHU_DONG_HU_JIAO.getValue().equals(code)){
            return ZHU_DONG_HU_JIAO.name;
        }else if (HU_WAI_HU_JIAO.getValue().equals(code)){
            return HU_WAI_HU_JIAO.name;
        }

        return null;
    }
}
