package com.care.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 门信息(RoomGateVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-08-28 15:48:27
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_room_gate")
@ApiModel(value = "门信息", description = "")
public class CareRoomGate implements Serializable {
    private static final long serialVersionUID = -61193632066929881L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("门ID")
    @TableField("GID")
    private Integer gid;


    @ApiModelProperty("房间ID")
    @TableField("ROOM_ID")
    private String roomId;


    @ApiModelProperty("初始位置(0,1,2,3)")
    @TableField("DIRECTION")
    private Integer direction;


    @ApiModelProperty("长(m)")
    @TableField("LENGTH")
    private Double length;


    @ApiModelProperty("宽(m)")
    @TableField("WIDTH")
    private Double width;


    @ApiModelProperty("高(m)")
    @TableField("HIGHT")
    private Double hight;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
