package com.care.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.care.common.entity.CareDevice;
import com.care.common.vo.PageReqVO;
import com.care.common.vo.UserLogindConvertVO;
import com.care.common.vo.device.DeviceVO;

import java.util.List;
import java.util.Map;

/**
 * 被监护人-设备(CareDevice)表服务接口
 *
 * @author makejava
 * @since 2021-05-21 00:08:36
 */
public interface CareDeviceService extends IService<CareDevice> {

    /**
     * 查询房屋的设备列表
     * @param houseId
     * @return
     */
    List<DeviceVO> queryListByHouseId(Long houseId);

    IPage<DeviceVO> queryList(PageReqVO pageReqVo, Long stationId, String devCode, String activeStatus,String chambName, String status,String houseAddr, Long chambId,Long memberId,UserLogindConvertVO loginUser);
    Map<String,String> get3dUrl(Long deviceId);

    void updateDevChamb(Long id);
}