package com.care.common.vo.device;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * mqtt消息(CareMqttMsg)实体类
 *
 * @author makejava
 * @since 2021-06-02 22:00:37
 */

@Data
@ApiModel(value = "mqtt消息", description = "")
public class MqttMsgVO implements Serializable {
    private static final long serialVersionUID = -60036036914347085L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("mqtt消息")
    private String mqttMessage;


    @ApiModelProperty("topic")
    private String topic;


    @ApiModelProperty("设备ID")
    private Long devId;

    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

}