package com.care.installation.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 区域信息(RoomRegionVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-08-28 15:48:28
 */

@Data
@ApiModel(value = "区域信息", description = "")
public class RoomRegionVO implements Serializable {
    private static final long serialVersionUID = -53374646938718314L;


    private Long id;


    @ApiModelProperty("区域ID")
    private String rid;


    @ApiModelProperty("房间ID")
    private String roomId;


    @ApiModelProperty("区域类型(0,1,2,3)")
    private Integer cls;


    @ApiModelProperty("x轴位置(m)")
    private Double positionx;


    @ApiModelProperty("y轴位置(m)")
    private Double positiony;


    @ApiModelProperty("x轴方向长度(m)")
    private Double scalex;


    @ApiModelProperty("y轴方向长度(m)")
    private Double scaley;


    @ApiModelProperty("z轴方向长度(m)")
    private Double scalez;


    @ApiModelProperty("旋转角度")
    private Double rotation;


    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
